'use strict';

exports.__esModule = true;
exports.FieldErrorsComponent = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FieldErrorsComponent = function (_Component) {
  (0, _inherits3.default)(FieldErrorsComponent, _Component);

  function FieldErrorsComponent() {
    (0, _classCallCheck3.default)(this, FieldErrorsComponent);
    return (0, _possibleConstructorReturn3.default)(this, _Component.apply(this, arguments));
  }

  FieldErrorsComponent.prototype.render = function render() {
    var _props = this.props,
        form = _props.form,
        field = _props.field;

    var errors = [];
    var invalid = false;
    if (field) {
      errors = field.getErrors();
      invalid = field.touched && !field.isValid();
    } else {
      errors = form.errors;
      invalid = form.isTouched() && form.errors.length;
    }
    return _react2.default.createElement(
      'div',
      null,
      invalid && errors.map(function (error) {
        return _react2.default.createElement(
          'div',
          { key: error },
          error
        );
      })
    );
  };

  return FieldErrorsComponent;
}(_react.Component);

FieldErrorsComponent.propTypes = {
  form: _propTypes2.default.object.isRequired,
  field: _propTypes2.default.object
};
FieldErrorsComponent.defaultProps = {
  field: null
};
exports.FieldErrorsComponent = FieldErrorsComponent;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FieldErrorsComponent, 'FieldErrorsComponent', 'E:/Projects/React/git/vb-react-form/src/FormsV1/FormField/FieldErrorsComponent.js');
}();

;